#include "lichtsensor.h"

Lichtsensor::Lichtsensor() : aktiviert(false) {}

int Lichtsensor::erkenneIntensitaet() const {
    // Implementierung zur Erkennung der Lichtintensität

    return 0;
}

int Lichtsensor::erkenneGroesseDerMuenze() const {
    int lichtwert = erkenneIntensitaet();
    if (lichtwert < 20) {
        return 1; // Kleine Münze erkannt
    } else if (lichtwert < 50) {
        return 2; // Mittlere Münze erkannt
    } else {
        return 3; // Große Münze erkannt
    }
}

int Lichtsensor::erkenneScheintyp() const {
    int lichtwert = erkenneIntensitaet();
    if (lichtwert < 20) {
        return 1; // Schein Typ 1 erkannt
    } else if (lichtwert < 50) {
        return 2; // Schein Typ 2 erkannt
    } else {
        return 3;
    }
}

bool Lichtsensor::istAktiviert() const {
    return aktiviert;
}

void Lichtsensor::setzeAktivierung(bool status) {
    aktiviert = status;
}

bool Lichtsensor::istLichtErkannt() const {
    // Beispielhafte Implementierung, könnte angepasst werden
    // Hier wird einfach geprüft, ob der Sensor aktiviert ist und eine bestimmte Intensität erkannt wird
    if (istAktiviert()) {
        return erkenneIntensitaet() > 0; // Hier kannst du die Bedingung anpassen, z.B. erkenneIntensitaet() > Schwellenwert
    }
    return false;
}


