#ifndef LICHTSENSOR_H
#define LICHTSENSOR_H

#include "sensoren.h"

class Lichtsensor : public sensoren {
public:
    Lichtsensor();
    int erkenneIntensitaet() const;
    int erkenneGroesseDerMuenze() const;
    int erkenneScheintyp() const;
    bool istAktiviert() const; // Methode zum Überprüfen, ob der Sensor aktiviert ist
    void setzeAktivierung(bool status); // Methode zum Aktivieren/Deaktivieren des Sensors
    bool istLichtErkannt() const; // Methode zum Überprüfen, ob Licht erkannt wurde


private:
    bool aktiviert;

};


#endif // LICHTSENSOR_H

