#include "MotorController.h"
#include <iostream>

MotorController::MotorController(Elektromotor& motor) : motor(motor) {}

void MotorController::fahreZuPosition(int position) {
    std::cout << "Bewege Motor zu Position " << position << std::endl;
    motor.bewegezurPosition(position);
}

void MotorController::starteMotorMitGeschwindigkeit(int geschwindigkeit) {
    std::cout << "Starte Motor mit Geschwindigkeit " << geschwindigkeit << std::endl;
    motor.setGeschwindigkeit(geschwindigkeit);
    motor.antreiben();
}

void MotorController::stoppeMotor() {
    std::cout << "Stoppe Motor" << std::endl;
    motor.stop();
}

void MotorController::statusAnzeige() {
    std::cout << "Aktuelle Position: " << motor.getPosition() << std::endl;
    std::cout << "Aktuelle Geschwindigkeit: " << motor.getGeschwindigkeit() << std::endl;
}
